Summary:       A network packet construction and injection API
Name:          libnet
Version:       1.1.2.1
Release:       5%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://www.packetfactory.net/%{name}/dist/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.1.2.1-dynamic.patch
Patch1:        %{name}-1.1.2.1-build-x86_64.patch
URL:           http://www.packetfactory.net/projects/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mike D. Schiffman <mike@infonexus.com>

%description
Libnet is a high-level API (toolkit) that allows the application
programmer to construct and inject network packets. It provides a
portable and simplified interface for low-level network packet
shaping, handling, and injection. Libnet hides much of the tedium
of packet creation from the application programmer such as multi-
plexing, buffer management, arcane packet header information, byte-
ordering, OS-dependent issues, and much more. Libnet features
portable packet creation interfaces at the IP layer and link layer,
as well as a host of supplementary and complementary functionality.


%package       devel
Summary:       Development tools for Libnet
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the static libraries and header
files for developing software using Libnet.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .dynamic
%patch1 -p1 -b .x86_64

# Cleanup
find doc -depth -name CVS -exec %{__rm} -rf {} \;


%build
%configure
%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man3
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 src/%{name}.so.* ${RPM_BUILD_ROOT}%{_libdir}
%{__cp}      -pd     src/%{name}.so   ${RPM_BUILD_ROOT}%{_libdir}

%{__install} -m 0644 doc/man/man3/*.3 ${RPM_BUILD_ROOT}%{_mandir}/man3

find sample -type f -perm 755 \
	-exec %{__install} -m 0700 {} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample \;
%{__install} -m 0644 sample/*.[ch]    ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README VERSION
%doc doc/{BUGS,CHANGELOG,CONTRIB,COPYING,PORTED,TODO}
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc doc/{DESIGN_NOTES,MIGRATION,PACKET_BUILDING,RAWSOCKET*}
%doc %dir doc/html
%{_includedir}/%{name}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.a
%{_libdir}/%{name}.so
%{_datadir}/%{name}
%{_mandir}/man3/%{name}*.3*


%changelog
* Sat Mar 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.2.1-5
- Rewritten for buildsystem

* Sat Jan 27 2007 peter.pramberger@member.fsf.org 1.1.2.1-4
- some spec file cleanups (x86_64 support)

* Wed Nov 23 2005 peter.pramberger@member.fsf.org
- created
